<?php 
session_start();  
if (!isset($_SESSION['admin_id'])) {
  header("location:login");
}

include_once "./templates/top.php"; 

?>
<?php include_once("./templates/top.php"); ?>
<?php include_once("./templates/navbar.php"); ?>

<style>

img { cursor: pointer; }

</style>

<div class="container-fluid">
  <div class="row">
    
    <?php include "./templates/sidebar.php"; ?>

      <div class="row">
      	<div class="col-10">
      		<h2>Event List</h2>
      	</div>
        <?php
        if ($_SESSION['admin_edit']==1) {
        ?>
        <div class="col-2">
          <a href="#" data-toggle="modal" data-target="#add_event_modal" class="btn btn-primary btn-sm">Add Event</a>
        </div>
        <?php
          }
        ?>
      </div>
      
    <?php
    if ($_SESSION["admin_edit"]!=1) {
      include("./table.php");
      }
    ?>
      
      <div class="table-responsive">
        <table class="table table-striped table-sm">
          <thead>
            <tr>
              <th>#</th>
              <th>English Name</th>
              <th>Sinhala Name</th>
              <th>Tamil Name</th>
              <th align="center">Image 1</th>
              <th align="center">Image 2</th>
              <th align="center">Image 3</th>
              <th align="center">Image 4</th>
              <th align="center">Image 5</th>
              <!-- <th width:250>Description</th> -->
              <th class="NoneDisplay" width="80">Action</th>
            </tr>
          </thead>
          <tbody id="event_list">
            <!-- <tr>
              <td>1</td>
              <td></td>
              <td>FDGR.JPG</td>
              <td>122</td>
              <td>eLECTRONCS</td>
              <td>aPPLE</td>
              <td><a class="btn btn-sm btn-info"></a><a class="btn btn-sm btn-danger">Delete</a></td>
            </tr> -->
          </tbody>
        </table>
      </div>
    </main>
  </div>
</div>



<!-- Add event Modal start -->
<div class="modal fade" id="add_event_modal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-xl modal-dialog-centered" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Add Event</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <form id="add-event-form" enctype="multipart/form-data">
        	<div class="row">
        		<div class="col-4">
        			<div class="form-group">
		        		<label>Event English Name<a style="color:red;">*</a></label>
		        		<input type="text" name="event_name_e" class="form-control" placeholder="Enter Event English Name (Eg: Annual Trip)">
		        	</div>
        		</div>
            <div class="col-4">
              <div class="form-group">
                <label>Event Sinhala Name<a style="color:red;">*</a></label>
                <input type="text" name="event_name_s" class="form-control" placeholder="Enter Event Sinhala Name (Eg: Annual Trip)">
              </div>
            </div>
            <div class="col-4">
              <div class="form-group">
                <label>Event Tamil Name<a style="color:red;">*</a></label>
                <input type="text" name="event_name_t" class="form-control" placeholder="Enter Event Tamil Name (Eg: Annual Trip)">
              </div>
            </div>
          </div>
          <div class="row">
        		<div class="col-4">
        			<div class="form-group">
		        		<label>Event English Description</label>
		        		<textarea rows="6" class="form-control" name="event_description_e" placeholder="Enter Event English Description"></textarea>
		        	</div>
        		</div>
            <div class="col-4">
              <div class="form-group">
                <label>Event Sinhala Description</label>
                <textarea rows="6" class="form-control" name="event_description_s" placeholder="Enter Event Sinhala Description"></textarea>
              </div>
            </div>
            <div class="col-4">
              <div class="form-group">
                <label>Event Tamil Description</label>
                <textarea rows="6" class="form-control" name="event_description_t" placeholder="Enter Event Tamil Description"></textarea>
              </div>
            </div>
          </div>
          <div class="row">
            <div class="col-12">
              <div class="form-group">
                <label>Event Images&nbsp;&nbsp;<small>( format: jpg , jpeg , png ) ( image size: under 1mb )</small></label>
              </div>
            </div>
        		<div class="col-2">
        			<div class="form-group">
                <label>Image 1<a style="color:red;">*</a></label>
                <input type="file" name="event_image1">
		        	</div>
        		</div>
            <div class="col-2">
              <div class="form-group">
                <label>Image 2</label>
                <input type="file" name="event_image2">
              </div>
            </div>
            <div class="col-2">
              <div class="form-group">
                <label>Image 3</label>
                <input type="file" name="event_image3">
              </div>
            </div>
            <div class="col-2">
              <div class="form-group">
                <label>Image 4</label>
                <input type="file" name="event_image4">
              </div>
            </div>
            <div class="col-2">
              <div class="form-group">
                <label>Image 5</label>
                <input type="file" name="event_image5">
              </div>
            </div>
        		<input type="hidden" name="add_event" value="1">
        		<div class="col-12">
        			<button type="button" class="btn btn-success add-event">Add Event</button>
              <button type="reset" class="btn btn-danger">Clear</button>
        		</div>
        	</div>
        	
        </form>
      </div>
    </div>
  </div>
</div>
<!-- Add event Modal end -->

<!-- Edit Product Modal start -->
<div class="modal fade" id="edit_event_modal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-xl modal-dialog-centered" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Edit Event</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <form id="edit-event-form" enctype="multipart/form-data">
          <div class="row">
            <div class="col-4">
              <div class="form-group">
                <label>Event English Name<a style="color:red;">*</a></label>
                <input type="text" name="e_event_name_e" class="form-control" placeholder="Enter Event English Name (Eg: Annual Trip)">
              </div>
            </div>
            <div class="col-4">
              <div class="form-group">
                <label>Event Sinhala Name<a style="color:red;">*</a></label>
                <input type="text" name="e_event_name_s" class="form-control" placeholder="Enter Event Sinhala Name (Eg: Annual Trip)">
              </div>
            </div>
            <div class="col-4">
              <div class="form-group">
                <label>Event Tamil Name<a style="color:red;">*</a></label>
                <input type="text" name="e_event_name_t" class="form-control" placeholder="Enter Event Tamil Name (Eg: Annual Trip)">
              </div>
            </div>
          </div>
          <div class="row">
            <div class="col-4">
              <div class="form-group">
                <label>Event English Description</label>
                <textarea rows="4" class="form-control" name="e_event_desc_e" placeholder="Enter Event English Description"></textarea>
              </div>
            </div>
            <div class="col-4">
              <div class="form-group">
                <label>Event Sinhala Description</label>
                <textarea rows="4" class="form-control" name="e_event_desc_s" placeholder="Enter Event Sinhala Description"></textarea>
              </div>
            </div>
            <div class="col-4">
              <div class="form-group">
                <label>Event Tamil Description</label>
                <textarea rows="4" class="form-control" name="e_event_desc_t" placeholder="Enter Event Tamil Description"></textarea>
              </div>
            </div>
          </div>
          <div class="row">
            <div class="col-12">
              <div class="form-group">
                <label>Event Images&nbsp;&nbsp;<small>( format: jpg , jpeg , png ) ( image size: under 1mb )</small></label>
              </div>
            </div>
          </div>
          <div class="row">
            <div class="col-2">
              <div class="form-group">
                <label>Image 1<a style="color:red;">*</a></label>
                <input type="file" name="e_event_image1" class="">
                <br><br>
                <img src="" class="img-fluid mx-auto d-block rounded border img-thumbnail" width="100%" style="">
              </div>
            </div>
            <div class="col-2">
              <div class="form-group">
                <label>Image 2</label>
                <input type="file" name="e_event_image2" class="">
                <br><br>
                <img src="" class="img-fluid mx-auto d-block rounded border img-thumbnail" width="100%" style="">
              </div>
            </div>
            <div class="col-2">
              <div class="form-group">
                <label>Image 3</label>
                <input type="file" name="e_event_image3" class="">
                <br><br>
                <img src="" class="img-fluid mx-auto d-block rounded border img-thumbnail" width="100%" style="">
              </div>
            </div>
            <div class="col-2">
              <div class="form-group">
                <label>Image 4</label>
                <input type="file" name="e_event_image4" class="">
                <br><br>
                <img src="" class="img-fluid mx-auto d-block rounded border img-thumbnail" width="100%" style="">
              </div>
            </div>
            <div class="col-2">
              <div class="form-group">
                <label>Image 5</label>
                <input type="file" name="e_event_image5" class="">
                <br><br>
                <img src="" class="img-fluid mx-auto d-block rounded border img-thumbnail" width="100%" style="">
              </div>
            </div>

            <input type="hidden" name="e_eventimage1">
            <input type="hidden" name="e_eventimage2">
            <input type="hidden" name="e_eventimage3">
            <input type="hidden" name="e_eventimage4">
            <input type="hidden" name="e_eventimage5">

            <input type="hidden" name="eid">
            <input type="hidden" name="edit_event" value="1">

            <div class="col-12">
              <button type="button" class="btn btn-success submit-edit-event">Save Changes</button>
              <button type="reset" class="btn btn-danger">Clear</button>
            </div>
          </div>
          
        </form>
      </div>
    </div>
  </div>
</div>
<!-- Edit Product Modal end -->

<?php include_once("./templates/footer.php"); ?>



<script type="text/javascript" src="./js/events.js"></script>