<?php 
session_start();  
if (!isset($_SESSION['admin_id'])) {
  header("location:login");
}

include_once "./templates/top.php"; 

?>
<?php include_once("./templates/top.php"); ?>
<?php include_once("./templates/navbar.php"); ?> 

<style>
.switch {
  padding-top: 12px;
  position: relative;
  display: inline-block;
  width: 40px;
  height: 20px;
}

.switch input { 
  opacity: 0;
  width: 0;
  height: 0;
}

.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #ccc;
  -webkit-transition: .4s;
  transition: .4s;
}

.slider:before {
  position: absolute;
  content: "";
  height: 15px;
  width: 15px;
  left: 3px;
  bottom: 3px;
  background-color: white;
  -webkit-transition: .4s;
  transition: .4s;
}

input:checked + .slider {
  background-color: #2196F3;
}

input:focus + .slider {
  box-shadow: 0 0 1px #2196F3;
}

input:checked + .slider:before {
  -webkit-transform: translateX(20px);
  -ms-transform: translateX(20px);
  transform: translateX(20px);
}

/* Rounded sliders */
.slider.round {
  border-radius: 34px;
}

.slider.round:before {
  border-radius: 50%;
}

img { cursor: pointer; }
</style>

<div class="container-fluid">
  <div class="row">
    
    <?php include_once "./templates/sidebar.php"; ?>

      <div class="row">
      	<div class="col-10">
      		<h2>Product List</h2>
      	</div>
        <?php
        if ($_SESSION['admin_edit']==1) {
        ?>
        <div class="col-2">
          <a href="#" data-toggle="modal" data-target="#add_product_modal" class="btn btn-primary btn-sm">Add Product</a>
        </div>
        <?php
          }
        ?>
      </div>
      
    <?php
    if ($_SESSION["admin_edit"]!=1) {
      include("./table.php");
      }
    ?>
      
      <div class="table-responsive">
        <table class="table table-striped table-sm">
          <thead>
            <tr>
              <th>#</th>
              <th>English Name</th>
              <th>Sinhala Name</th>
              <th>Tamil Name</th>
              <th>Category</th>
              <th>Price</th>
              <th>Discount</th>
              <th>Image 1</th>
              <th>Image 2</th>
              <th>Image 3</th>
              <th>Image 4</th>
              <th>Image 5</th>
              <!-- <th width:250>Description</th> -->
              <th class="NoneDisplay" style="text-align:center">Best Product</th>
              <th class="NoneDisplay" width="80">Action</th>
            </tr>
          </thead>
          <tbody id="product_list">
            <!-- <tr>
              <td>1</td>
              <td></td>
              <td>FDGR.JPG</td>
              <td>122</td>
              <td>eLECTRONCS</td>
              <td>aPPLE</td>
              <td><a class="btn btn-sm btn-info"></a><a class="btn btn-sm btn-danger">Delete</a></td>
            </tr> -->
          </tbody>
        </table>
      </div>
    </main>
  </div>
</div>

<!-- Add Product Modal start -->
<div class="modal fade" id="add_product_modal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-xl" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Add Product</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <form id="add-product-form" enctype="multipart/form-data">
          <div class="row">
            <div class="col-4">
              <div class="form-group">
                <label>Product English Name<a style="color:red;">*</a></label>
                <input type="text" name="product_name_e" class="form-control" placeholder="Enter Product English Name">
              </div>
            </div>
            <div class="col-4">
              <div class="form-group">
                <label>Product Sinhala Name<a style="color:red;">*</a></label>
                <input type="text" name="product_name_s" class="form-control" placeholder="Enter Product Sinhala Name">
              </div>
            </div>
            <div class="col-4">
              <div class="form-group">
                <label>Product Tamil Name<a style="color:red;">*</a></label>
                <input type="text" name="product_name_t" class="form-control" placeholder="Enter Product Tamil Name">
              </div>
            </div>
          </div>
          <div class="row">
            <div class="col-12">
              <div class="form-group">
                <label>Category<a style="color:red;">*</a></label>
                <select class="form-control category_list" name="category_id">
                  <option value="">Select Category</option>
                </select>
              </div>
            </div>
          </div>
          <div class="row">
            <div class="col-6">
              <div class="form-group">
                <label>Price</label>
                <input type="text" name="price" class="form-control" placeholder="Enter Product Price">
              </div>
            </div>
            <div class="col-6">
              <div class="form-group">
                <label>Discount</label>
                <input type="text" name="discount" class="form-control" placeholder="Enter Product Discount">
              </div>
            </div>
          </div>
          <div class="row">
            <div class="col-12">
              <div class="form-group">
                <label>Product Descriptions</label>
              </div>
            </div>
          </div>
          <div class="row">
            <div class="col-4">
              <div class="form-group">
                <label>English</label>
                <textarea rows="4" class="form-control" name="product_description_e" placeholder="Enter Product English Description"></textarea>
              </div>
            </div>
            <div class="col-4">
              <div class="form-group">
                <label>Sinhala</label>
                <textarea rows="4" class="form-control" name="product_description_s" placeholder="Enter Product Sinhala Description"></textarea>
              </div>
            </div>
            <div class="col-4">
              <div class="form-group">
                <label>Tamil</label>
                <textarea rows="4" class="form-control" name="product_description_t" placeholder="Enter Product Tamil Description"></textarea>
              </div>
            </div>
          </div>
          <div class="row">
            <div class="col-12">
              <div class="form-group">
                <label>Product Details&nbsp;&nbsp;<small>( use " : " mark to devide every detail )</small></label>
              </div>
            </div>
          </div>
          <div class="row">
            <div class="col-4">
              <div class="form-group">
                <label>English</label>
                <textarea rows="7" class="form-control" name="product_details_e" placeholder="Enter Product English Details

(Eg- Location type: Non-hold:
       Door width: 850~1,100mm:
       Maximum Loading: 65kg )"></textarea>
              </div>
            </div>
            <div class="col-4">
              <div class="form-group">
                <label>Sinhala</label>
                <textarea rows="7" class="form-control" name="product_details_s" placeholder="Enter Product Sinhala Details

(Eg- Location type: Non-hold:
       Door width: 850~1,100mm:
       Maximum Loading: 65kg )"></textarea>
              </div>
            </div>
            <div class="col-4">
              <div class="form-group">
                <label>Tamil</label>
                <textarea rows="7" class="form-control" name="product_details_t" placeholder="Enter Product Tamil Details

(Eg- Location type: Non-hold:
       Door width: 850~1,100mm:
       Maximum Loading: 65kg )"></textarea>
              </div>
            </div>
          </div>
          <div class="row">
            <div class="col-12">
              <div class="form-group">
                <label>Product Images&nbsp;&nbsp;<small>( format: jpg , jpeg , png ) ( image size: under 1mb )</small></label>
              </div>
            </div>
          </div>

            <input type="hidden" name="e_image1">
            <input type="hidden" name="e_image2">
            <input type="hidden" name="e_image3">
            <input type="hidden" name="e_image4">
            <input type="hidden" name="e_image5">

          <div class="row">
            <div class="col-2">
              <div class="form-group">
                <label>Image 1<a style="color:red;">*</a></label>
                <!-- <input type="file" name="product_image" class="form-control"> -->
                <input type="file" name="product_image1" class="">
              </div>
            </div>
            <div class="col-2">
              <div class="form-group">
                <label>Image 2</label>
                <input type="file" name="product_image2" class="">
              </div>
            </div>

            <!-- <div class="col-12">
              <label>Image 2</label>
              <div class="custom-file mb-3">
                <input type="file" class="custom-file-input" id="customFile" name="filename">
                <label class="custom-file-label" for="customFile">Choose file</label>
              </div>
            </div> -->
            
            <div class="col-2">
              <div class="form-group">
                <label>Image 3</label>
                <input type="file" name="product_image3" class="">
              </div>
            </div>
            <div class="col-2">
              <div class="form-group">
                <label>Image 4</label>
                <input type="file" name="product_image4" class="">
              </div>
            </div>
            <div class="col-2">
              <div class="form-group">
                <label>Image 5</label>
                <input type="file" name="product_image5" class="">
              </div>
            </div>
          </div>
          <div class="row">
            <input type="hidden" name="add_product" value="1">
            <div class="col-12">
              <button type="button" class="btn btn-success add-product btn-block">Add Product</button>
              <button type="reset" class="btn btn-danger btn-block">Clear</button>
            </div>
          </div>
          
        </form>
      </div>
    </div>
  </div>
</div>
<!-- Add Product Modal end -->

<!-- Edit Product Modal start -->
<div class="modal fade" id="edit_product_modal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-xl" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Edit Product</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <form id="edit-product-form" enctype="multipart/form-data">
          <div class="row">
            <div class="col-4">
              <div class="form-group">
                <label>Product English Name<a style="color:red;">*</a></label>
                <input type="text" name="e_product_name_e" class="form-control" placeholder="Enter Product English Name">
              </div>
            </div>
            <div class="col-4">
              <div class="form-group">
                <label>Product Sinhala Name<a style="color:red;">*</a></label>
                <input type="text" name="e_product_name_s" class="form-control" placeholder="Enter Product Sinhala Name">
              </div>
            </div>
            <div class="col-4">
              <div class="form-group">
                <label>Product Tamil Name<a style="color:red;">*</a></label>
                <input type="text" name="e_product_name_t" class="form-control" placeholder="Enter Product Tamil Name">
              </div>
            </div>
          </div>
          <div class="row">
            <div class="col-12">
              <div class="form-group">
                <label>Category<a style="color:red;">*</a></label>
                <select class="form-control category_list" name="e_category_id">
                  <option value="">Select Category</option>
                </select>
              </div>
            </div>
          </div>
          <div class="row">
            <div class="col-6">
              <div class="form-group">
                <label>Price</label>
                <input type="text" name="e_price" class="form-control" placeholder="Enter Product Price">
              </div>
            </div>
            <div class="col-6">
              <div class="form-group">
                <label>Discount</label>
                <input type="text" name="e_discount" class="form-control" placeholder="Enter Product Discount">
              </div>
            </div>
          </div>
          <div class="row">
            <div class="col-12">
              <div class="form-group">
                <label>Product Descriptions</label>
              </div>
            </div>
          </div>
          <div class="row">
            <div class="col-4">
              <div class="form-group">
                <label>English</label>
                <textarea rows="4" class="form-control" name="e_product_desc_e" placeholder="Enter Product English Description"></textarea>
              </div>
            </div>
            <div class="col-4">
              <div class="form-group">
                <label>Sinhala</label>
                <textarea rows="4" class="form-control" name="e_product_desc_s" placeholder="Enter Product Sinhala Description"></textarea>
              </div>
            </div>
            <div class="col-4">
              <div class="form-group">
                <label>Tamil</label>
                <textarea rows="4" class="form-control" name="e_product_desc_t" placeholder="Enter Product Tamil Description"></textarea>
              </div>
            </div>
          </div>
          <div class="row">
            <div class="col-12">
              <div class="form-group">
                <label>Product Details&nbsp;&nbsp;<small>( use " : " mark to devide every detail )</small></label>
              </div>
            </div>
          </div>
          <div class="row">
            <div class="col-4">
              <div class="form-group">
                <label>English</label>
                <textarea rows="7" class="form-control" name="e_product_details_e" placeholder="Enter Product English Details

(Eg- Location type: Non-hold:
       Door width: 850~1,100mm:
       Maximum Loading: 65kg )"></textarea>
              </div>
            </div>
            <div class="col-4">
              <div class="form-group">
                <label>Sinhala</label>
                <textarea rows="7" class="form-control" name="e_product_details_s" placeholder="Enter Product Sinhala Details

(Eg- Location type: Non-hold:
       Door width: 850~1,100mm:
       Maximum Loading: 65kg )"></textarea>
              </div>
            </div>
            <div class="col-4">
              <div class="form-group">
                <label>Tamil</label>
                <textarea rows="7" class="form-control" name="e_product_details_t" placeholder="Enter Product Tamil Details

(Eg- Location type: Non-hold:
       Door width: 850~1,100mm:
       Maximum Loading: 65kg )"></textarea>
              </div>
            </div>
          </div>
          <div class="row">
            <div class="col-12">
              <div class="form-group">
                <label>Product Images&nbsp;&nbsp;<small>( format: jpg , jpeg , png ) ( image size: under 1mb )</small></label>
              </div>
            </div>
          </div>
          <div class="row">
            <div class="col-2">
              <div class="form-group">
                <label>Image 1<a style="color:red;">*</a>&nbsp;&nbsp;</label>
                <input type="file" name="e_product_image1" class="">
                <br><br>
                <img src="" class="img-fluid mx-auto d-block rounded border img-thumbnail" width="100%" style="">
              </div>
            </div>
            <div class="col-2">
              <div class="form-group">
                <label>Image 2</label>
                <input type="file" name="e_product_image2" class="">
                <br><br>
                <img src="" class="img-fluid mx-auto d-block rounded border img-thumbnail" width="100%" style="">
              </div>
            </div>
            <div class="col-2">
              <div class="form-group">
                <label>Image 3</label>
                <input type="file" name="e_product_image3" class="">
                <br><br>
                <img src="" class="img-fluid mx-auto d-block rounded border img-thumbnail" width="100%" style="">
              </div>
            </div>
            <div class="col-2">
              <div class="form-group">
                <label>Image 4</label>
                <input type="file" name="e_product_image4" class="">
                <br><br>
                <img src="" class="img-fluid mx-auto d-block rounded border img-thumbnail" width="100%" style="">
              </div>
            </div>
            <div class="col-2">
              <div class="form-group">
                <label>Image 5</label>
                <input type="file" name="e_product_image5" class="">
                <br><br>
                <img src="" class="img-fluid mx-auto d-block rounded border img-thumbnail" width="100%" style="">
              </div>
            </div>
          </div>
          <div class="row">

              <input type="hidden" name="e_image1">
              <input type="hidden" name="e_image2">
              <input type="hidden" name="e_image3">
              <input type="hidden" name="e_image4">
              <input type="hidden" name="e_image5">

          
              <input type="hidden" name="pid">
              <input type="hidden" name="edit_product" value="1">

            <div class="col-12">
              <button type="button" class="btn btn-success submit-edit-product btn-block">Save Changes</button>
              <button type="reset" class="btn btn-danger btn-block">Clear</button>
            </div>
          </div>
          
        </form>
      </div>
    </div>
  </div>
</div>
<!-- Edit Product Modal end -->

<?php include_once("./templates/footer.php"); ?>



<script type="text/javascript" src="./js/products.js"></script>

<!-- <script>
// Add the following code if you want the name of the file appear on select
$(".custom-file-input").on("change", function() {
  var fileName = $(this).val().split("\\").pop();
  $(this).siblings(".custom-file-label").addClass("selected").html(fileName);
});
</script> -->