<!doctype html>
<html class="no-js" lang="en">
    <head>
        <title>BCC Lanka | Contact</title>
        
        <!-- Meta Area Start -->   
        <?php include('meta.php'); ?>
        <!-- Meta Area End -->
        
        <style type="text/css">
          .pointer {cursor: pointer;}
        </style>

        <style>
        .thick-green-border {
            border-color: #800000;
            border-width: 1.5px;
            border-style: solid;
            border-radius: 2%;
            padding: 100px;
        }

        .resp-iframe {
            position: absolute;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            border: 0;
        }

        .resp-container {
            position: relative;
            overflow: hidden;
            padding-top: 56.25%;
        }

        .txt{
        color:red;
        }
        </style>
        <script src="https://www.google.com/recaptcha/api.js?render=6LfiEqwUAAAAAEnvDZ0WQYt8IrXNJmB2hJ_NgeHU"></script>
        <script>
            grecaptcha.ready(function () {
                grecaptcha.execute('6LfiEqwUAAAAAEnvDZ0WQYt8IrXNJmB2hJ_NgeHU', { action: 'mail' }).then(function (token) {
                    var recaptchaResponse = document.getElementById('recaptchaResponse');
                    recaptchaResponse.value = token;
                });
            });
        </script>
    </head>
    <body>

        <!-- Header Area Start -->   
		<?php include('header.php'); ?>
		<!-- Header Area End -->
		<!-- Breadcrumb Area Start -->
		<div class="breadcrumb-area">
		    <div class="container">
		        <div class="row">
                    <div class="col-md-12">  
                        <div class="breadcrumbs">
                            <ul>
                                <li><a href="index">Home</a></li>
                                <li class="active">Contact</li>
                            </ul>
                        </div>  
                    </div>
                </div>
		    </div>
		</div>
		<!-- Breadcrumb Area End -->
		<!-- Contact Area Start -->
        <div class="contact-area pb-20">
            <div class="container">
                <div class="row">
                    <div class="col-md-6">
                        <!-- Google Map Start -->
                        <div class="google-map-area">
                            <!--  Map Section -->
                            <div id="contacts" class="map-area">
                                <!-- <div id="googleMap" style="width:100%;height:410px;"></div> -->
                                <div class="thick-green-border resp-container">
                                <iframe class="resp-iframe" src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d3960.611814724094!2d79.86146311426783!3d6.936911520144885!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x3ae2590336097af7%3A0xd36b5fe1d2e2a32!2sBCC+Lanka+Limited!5e0!3m2!1sen!2slk!4v1560936632378!5m2!1sen!2slk" frameborder="0" style="border:0" allowfullscreen></iframe>
                                </div>
                            </div>
                        </div>
                        <!-- Google Map End -->
                    </div>
                    <div class="col-md-6">
                        <h4>GET IN TOUCH</h4>
                        <div id="form-messages" class="txt"></div>
                        <br>
                        <form id="contact-form" action="mail" method="post">
                            <div class="row">
                                <div class="col-md-6">
                                    <input type="text" required="required" name="name" id="name" placeholder="Your Name*">
                                </div>
                                <div class="col-md-6">
                                    <input type="text" required="required" pattern="[^ @]*@[^ @]*.[^ @]*" name="email" id="email" placeholder="Mail* ( abc@gmail.com )">
                                </div>
                            </div>
                            <input type="text" pattern="\d{10}$" maxlength="10" required="required" name="phone" id="phone" placeholder="Phone Number* ( Enter 10 digit number )">
                            <!-- <input type="text" name="subject" id="subject" placeholder="Subject*"> -->
                            <textarea name="message" required="required" id="message" cols="30" rows="10" placeholder="Type Your Message......."></textarea>

                            <button type="submit" class="default-btn submit-btn pointer">SEND</button>

                            <input type="hidden" name="recaptcha_response" id="recaptchaResponse">
                            <!-- <p class="form-message"></p> -->
<!--                             <div id="form-message" class="form-message">
                                <p type="text" class=""></p>
                            </div> -->
                        </form>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-12">
                        <div class="contact-address-info bg-light">
                            <div class="single-contact-adrs text-center">
                                <span class="c-address-icon">
                                    <i class="fa fa-map-marker"></i>
                                </span>
                                <div class="adrs-text">
                                    <span><b>Bcc Lanka Ltd</b><br>P O Box 281 Hulftsdorf Mills,<br>Meeraniya Street,<br>Colombo 12</span>
                                </div>
                            </div>
                            <div class="single-contact-adrs text-center">
                                <span class="c-address-icon">
                                    <i class="fa fa-phone"></i>
                                </span>
                                <div class="adrs-text">
                                    <span><b>Phone</b> : (+94) 11 2422111 / (+94) 11 2435195</span>
                                    <br>
                                    <span><b>Fax</b> : (+94) 11 2447139 / (+94) 11 2324198</span>
                                </div>
                            </div>
                            <div class="single-contact-adrs text-center">
                                <span class="c-address-icon">
                                    <i class="fa fa-globe"></i>
                                </span>
                                <div class="adrs-text">
                                    <span><b>Email</b> : bcclankaltd@gmail.com</span>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- Contact Area End -->
        <!-- Footer Start -->
        <?php include('footer.php'); ?>
        <!-- Footer End -->
        
        <script src="js/vendor/jquery-3.2.1.min.js"></script>
        <script src="js/popper.js"></script>
        <script src="js/bootstrap.min.js"></script>
        <script src="js/jquery.meanmenu.js"></script>
        <script src="js/ajax-mail.js"></script>
        <script src="js/owl.carousel.min.js"></script>
        <script src="js/jquery.countdown.min.js"></script>
        <script src="js/plugins.js"></script>
        <script src="https://maps.googleapis.com/maps/api/js?key=6LfiEqwUAAAAAEnvDZ0WQYt8IrXNJmB2hJ_NgeHU"></script>
        <script src="js/main.js"></script>
    </body>
</html>
