<?php 
session_start();
class Admins
{
	
	private $con;

	function __construct()
	{
		include_once("Database.php");
		$db = new Database();
		$this->con = $db->connect();
	}

	public function getAdminList(){
		$query = $this->con->query("SELECT `id`, `name`, `email`, `is_active` , `edit` FROM `admin`");
		$ar = [];
		if ($query->num_rows > 0) {
			while ($row = $query->fetch_assoc()) {
				$ar[] = $row;
			}
			return ['status'=> 202, 'message'=> $ar];
		}
		return ['status'=> 303, 'message'=> 'No Admin'];
	}

	public function addAdmin($name, $email, $password, $cpassword){
		if ($password == $cpassword) {
			$q = $this->con->query("SELECT email FROM admin WHERE email = '$email'");
			if ($q->num_rows > 0) {
				return ['status'=> 303, 'message'=> 'Email already exists'];
			}else{
				$password = password_hash($password, PASSWORD_BCRYPT, ["COST"=> 8]);
				$q = $this->con->query("INSERT INTO `admin`(`name`, `email`, `password`, `is_active`, `edit`) VALUES ('$name','$email','$password','0','0')");
				if ($q) {
					return ['status'=> 202, 'message'=> 'Admin Created Successfully'];
				}else{
					return ['status'=> 303, 'message'=> 'Failed To Create Admin'];
				}

			}		
		}else{
				return ['status'=> 303, 'message'=> 'Password mismatch'];
		}
	}

	public function deleteAdmin($aid = null){
		$query = $this->con->query("SELECT `id`, `name`, `email`, `is_active` FROM `admin`");
		if($query->num_rows > 1){

			if ($aid != null) {
				$q = $this->con->query("DELETE FROM admin WHERE id = '$aid'");
				if ($q) {
					return ['status'=> 202, 'message'=> 'Admin Removed Successfully'];
				}else{
					return ['status'=> 202, 'message'=> 'Failed to remove Admin'];
				}
				
			}else{
				return ['status'=> 303, 'message'=>'Empty Fields'];
			}
		}
		return ['status'=> 303, 'message'=> 'Cannot remove all Admins'];

	}

	public function editAdmin($aid = null,$status){

			if ($aid != null && $status=='1') {

					$q = $this->con->query("UPDATE admin SET `edit` = '0' WHERE id = '$aid'");
					if ($q) {
						return ['status'=> 202, 'message'=> 'Admin Functions Changed Successfully'];
					}else{
						return ['status'=> 202, 'message'=> 'Failed to Change Admin Functions'];
					}
							
			}elseif ($aid != null && $status=='0') {

				$q = $this->con->query("UPDATE admin SET `edit` = '1' WHERE id = '$aid'");
				if ($q) {
					return ['status'=> 202, 'message'=> 'Admin Functions Changed Successfully'];
				}else{
					return ['status'=> 202, 'message'=> 'Failed to Change Admin Functions'];
				}
				
			}else{
				return ['status'=> 303, 'message'=>'Empty Fields'];
			}
	}

	public function updateAdmin($post = null){
		extract($post);
		if (!empty($aid) && !empty($e_admin_name) && !empty($e_admin_email)) {
			$q = $this->con->query("UPDATE admin SET `name` = '$e_admin_name',
															`email` = '$e_admin_email' WHERE id = '$aid'");
			if ($q) {
				return ['status'=> 202, 'message'=> 'Admin Successfully Updated'];
			}else{
				return ['status'=> 202, 'message'=> 'Failed to Update Admin'];
			}
			
		}else{
			return ['status'=> 303, 'message'=>'Empty Fields'];
		}

	}

	
}

if (isset($_POST['GET_ADMIN'])) {
	$a = new Admins();
	echo json_encode($a->getAdminList());
	exit();
	
}

if (isset($_POST['add_admin'])) {
	if (isset($_SESSION['admin_id'])) {
		$aname = $_POST['admin_name'];
		$aemail = $_POST['admin_email'];
		$apass = $_POST['admin_pass'];
		$capass = $_POST['cadmin_pass'];
		if (!empty($aemail) && !empty($apass) && !empty($capass) && !empty($aname)) {
			$p = new Admins();
			echo json_encode($p->addAdmin($aname,$aemail,$apass,$capass));
		}else{
			echo json_encode(['status'=> 303, 'message'=> 'Empty fields']);
		}
	}else{
		echo json_encode(['status'=> 303, 'message'=> 'Session Error']);
	}
}

if (isset($_POST['DELETE_ADMIN'])) {
	if (!empty($_POST['aid'])) {
		$a = new Admins();
		echo json_encode($a->deleteAdmin($_POST['aid']));
		exit();
	}else{
		echo json_encode(['status'=> 303, 'message'=> 'Invalid details']);
		exit();
	}
}

if (isset($_POST['EDIT_ADMIN_FUNC'])) {
	if (!empty($_POST['aid'])) {
		$p = new Admins();
		echo json_encode($p->editAdmin($_POST['aid'],$_POST['stat']));
		exit();
	}else{
		echo json_encode(['status'=> 303, 'message'=> 'Invalid details']);
		exit();
	}
}

if (isset($_POST['edit_admin'])) {
	if (!empty($_POST['aid'])) {
		$p = new Admins();
		echo json_encode($p->updateAdmin($_POST));
		exit();
	}else{
		echo json_encode(['status'=> 303, 'message'=> 'Invalid details']);
		exit();
	}
}

?>