<?php 
session_start();

class Events
{
	
	private $con;

	function __construct()
	{
		include_once("Database.php");
		$db = new Database();
		$this->con = $db->connect();
	}

	public function getEvents(){
		$q = $this->con->query("SELECT * FROM event");
		
		$events = [];
		if ($q->num_rows > 0) {
			while($row = $q->fetch_assoc()){
				$events[] = $row;
			}
			//return ['status'=> 202, 'message'=> $ar];
			$_DATA['events'] = $events;
		}

		return ['status'=> 202, 'message'=> $_DATA];
	}

	public function addEvent($event_name_s,
								$event_name_e,
								$event_name_t,
								$event_description_s,
								$event_description_e,
								$event_description_t,
								$file1,
								$file2,
								$file3,
								$file4,
								$file5){

		
		if(!empty($file1['name'])){
			$uniqueImageName1 = time()."_".$file1['name'];
			move_uploaded_file($file1['tmp_name'], $_SERVER['DOCUMENT_ROOT']."/bcc/img/event/".$uniqueImageName1);
			$uniqueImageName11 = "img/event/$uniqueImageName1";

			$fileName1 = $file1['name'];
			$fileNameAr1= explode(".", $fileName1);
			$extension1 = end($fileNameAr1);
			$ext1 = strtolower($extension1);
		}else{
			$uniqueImageName11 = "";
			$ext1 ="";
		}

		if(!empty($file2['name'])){
			$uniqueImageName2 = time()."__".$file2['name'];
			move_uploaded_file($file2['tmp_name'], $_SERVER['DOCUMENT_ROOT']."/bcc/img/event/".$uniqueImageName2);
			$uniqueImageName22 = "img/event/$uniqueImageName2";

			$fileName2 = $file2['name'];
			$fileNameAr2= explode(".", $fileName2);
			$extension2 = end($fileNameAr2);
			$ext2 = strtolower($extension2);
		}else{
			$uniqueImageName22 = "";
			$ext2 ="";
		}

		if(!empty($file3['name'])){
			$uniqueImageName3 = time()."_".$file3['name'];
			move_uploaded_file($file3['tmp_name'], $_SERVER['DOCUMENT_ROOT']."/bcc/img/event/".$uniqueImageName3);
			$uniqueImageName33 = "img/event/$uniqueImageName3";

			$fileName3 = $file3['name'];
			$fileNameAr3= explode(".", $fileName3);
			$extension3 = end($fileNameAr3);
			$ext3 = strtolower($extension3);
		}else{
			$uniqueImageName33 = "";
			$ext3 ="";
		}

		if(!empty($file4['name'])){
			$uniqueImageName4 = time()."_".$file4['name'];
			move_uploaded_file($file4['tmp_name'], $_SERVER['DOCUMENT_ROOT']."/bcc/img/event/".$uniqueImageName4);
			$uniqueImageName44 = "img/event/$uniqueImageName4";

			$fileName4 = $file4['name'];
			$fileNameAr4= explode(".", $fileName4);
			$extension4 = end($fileNameAr4);
			$ext4 = strtolower($extension4);

		}else{
			$uniqueImageName44 = "";
			$ext4 ="";
		}

		if(!empty($file5['name'])){
			$uniqueImageName5 = time()."_".$file5['name'];
			move_uploaded_file($file5['tmp_name'], $_SERVER['DOCUMENT_ROOT']."/bcc/img/event/".$uniqueImageName5);
			$uniqueImageName55 = "img/event/$uniqueImageName5";

			$fileName5 = $file5['name'];
			$fileNameAr5= explode(".", $fileName5);
			$extension5 = end($fileNameAr5);
			$ext5 = strtolower($extension5);

		}else{
			$uniqueImageName55 = "";
			$ext5 ="";
		}
			

		if (($ext1 == "jpg" || $ext1 == "jpeg" || $ext1 == "png" || $ext1 == "") && ($ext2 == "jpg" || $ext2 == "jpeg" || $ext2 == "png" || $ext2 == "") && ($ext3 == "jpg" || $ext3 == "jpeg" || $ext3 == "png" || $ext3 == "") && ($ext4 == "jpg" || $ext4 == "jpeg" || $ext4 == "png" || $ext4 == "") && ($ext5 == "jpg" || $ext5 == "jpeg" || $ext5 == "png" || $ext5 == "")) {


			if (($file1['size'] < (1024 * 1024)) && ($file2['size'] < (1024 * 1024)) && ($file3['size'] < (1024 * 1024)) && ($file4['size'] < (1024 * 1024)) && ($file5['size'] < (1024 * 1024))) {

					$q = $this->con->query("INSERT INTO `event`(`event_name_s`,`event_name_e`,`event_name_t`, `event_description_s`, `event_description_e`, `event_description_t`, `image_path1`, `image_path2`, `image_path3`, `image_path4`, `image_path5`) VALUES ('$event_name_s','$event_name_e','$event_name_t', '$event_description_s', '$event_description_e', '$event_description_t', '$uniqueImageName11', '$uniqueImageName22', '$uniqueImageName33', '$uniqueImageName44', '$uniqueImageName55')");

					if ($q) {
						return ['status'=> 202, 'message'=> 'Event Added Successfully'];
					}else{
						return ['status'=> 303, 'message'=> 'Failed to Add Event'];
					}

			}else{
				return ['status'=> 303, 'message'=> 'Large Image [ Max Size allowed 1MB ]'];
			}

		}else{
			return ['status'=> 303, 'message'=> 'Invalid Image Format [ Valid Formats : jpg, jpeg, png ]'];
		}

	}


	public function editEventWithImage($eid,
										$event_name_s,
										$event_name_e,
										$event_name_t,
										$event_description_s,
										$event_description_e,
										$event_description_t,
										$image1,
										$image2,
										$image3,
										$image4,
										$image5,
										$file1,
										$file2,
										$file3,
										$file4,
										$file5){

		// check event name changed or get from DB event name
		if(empty($file1['name'])){
			$uniqueImageName11 = $image1;
		}else{
			$uniqueImageName1 = time()."_".$file1['name'];
			move_uploaded_file($file1['tmp_name'], $_SERVER['DOCUMENT_ROOT']."/bcc/img/event/".$uniqueImageName1);
			$uniqueImageName11 = "img/event/$uniqueImageName1";
		}

		if(empty($file2['name'])){
			$uniqueImageName22 = $image2;
		}else{
			$uniqueImageName2 = time()."__".$file2['name'];
			move_uploaded_file($file2['tmp_name'], $_SERVER['DOCUMENT_ROOT']."/bcc/img/event/".$uniqueImageName2);
			$uniqueImageName22 = "img/event/$uniqueImageName2";
		}

		if(empty($file3['name'])){
			$uniqueImageName33 = $image3;
		}else{
			$uniqueImageName3 = time()."___".$file3['name'];
			move_uploaded_file($file3['tmp_name'], $_SERVER['DOCUMENT_ROOT']."/bcc/img/event/".$uniqueImageName3);
			$uniqueImageName33 = "img/event/$uniqueImageName3";
		}

		if(empty($file4['name'])){
			$uniqueImageName44 = $image4;
		}else{
			$uniqueImageName4 = time()."____".$file4['name'];
			move_uploaded_file($file4['tmp_name'], $_SERVER['DOCUMENT_ROOT']."/bcc/img/event/".$uniqueImageName4);
			$uniqueImageName44 = "img/event/$uniqueImageName4";
		}

		if(empty($file5['name'])){
			$uniqueImageName55 = $image5;
		}else{
			$uniqueImageName5 = time()."_____".$file5['name'];
			move_uploaded_file($file5['tmp_name'], $_SERVER['DOCUMENT_ROOT']."/bcc/img/event/".$uniqueImageName5);
			$uniqueImageName55 = "img/event/$uniqueImageName5";
		}

		// // if image empty we save it as null
		// if(empty($uniqueImageName11)){
		// 	$uniqueImageName11='null';
		// }
		// if(empty($uniqueImageName22)){
		// 	$uniqueImageName22='null';
		// }
		// if(empty($uniqueImageName33)){
		// 	$uniqueImageName33='null';
		// }
		// if(empty($uniqueImageName44)){
		// 	$uniqueImageName44='null';
		// }

		// get files extension
		$fileName1 = $uniqueImageName11;
		$fileNameAr1= explode(".", $fileName1);
		$extension1 = end($fileNameAr1);
		$ext1 = strtolower($extension1);

		$fileName2 = $uniqueImageName22;
		$fileNameAr2= explode(".", $fileName2);
		$extension2 = end($fileNameAr2);
		$ext2 = strtolower($extension2);

		$fileName3 = $uniqueImageName33;
		$fileNameAr3= explode(".", $fileName3);
		$extension3 = end($fileNameAr3);
		$ext3 = strtolower($extension3);

		$fileName4 = $uniqueImageName44;
		$fileNameAr4= explode(".", $fileName4);
		$extension4 = end($fileNameAr4);
		$ext4 = strtolower($extension4);

		$fileName5 = $uniqueImageName55;
		$fileNameAr5= explode(".", $fileName5);
		$extension5 = end($fileNameAr5);
		$ext5 = strtolower($extension5);

		if ($uniqueImageName11=="img/product/clear.png") {
			$uniqueImageName11='';
		}

		if ($uniqueImageName22=="img/product/clear.png") {
			$uniqueImageName22='';
		}

		if ($uniqueImageName33=="img/product/clear.png") {
			$uniqueImageName33='';
		}

		if ($uniqueImageName44=="img/product/clear.png") {
			$uniqueImageName44='';
		}

		if ($uniqueImageName55=="img/product/clear.png") {
			$uniqueImageName55='';
		}

		if (($ext1 == "jpg" || $ext1 == "jpeg" || $ext1 == "png" || $ext1 == "") && ($ext2 == "jpg" || $ext2 == "jpeg" || $ext2 == "png" || $ext2 == "") && ($ext3 == "jpg" || $ext3 == "jpeg" || $ext3 == "png" || $ext3 == "") && ($ext4 == "jpg" || $ext4 == "jpeg" || $ext4 == "png" || $ext4 == "") && ($ext5 == "jpg" || $ext5 == "jpeg" || $ext5 == "png" || $ext5 == "")) {
			

			if (($file1['size'] < (1024 * 1024)) && ($file2['size'] < (1024 * 1024)) && ($file3['size'] < (1024 * 1024)) && ($file4['size'] < (1024 * 1024)) && ($file5['size'] < (1024 * 1024))) {
					
					$q = $this->con->query("UPDATE `event` SET 
										`event_name_s` = '$event_name_s', 
										`event_name_e` = '$event_name_e', 
										`event_name_t` = '$event_name_t', 
										`event_description_s` = '$event_description_s',
										`event_description_e` = '$event_description_e',
										`event_description_t` = '$event_description_t',
										`image_path1` = '$uniqueImageName11',
										`image_path2` = '$uniqueImageName22',
										`image_path3` = '$uniqueImageName33',
										`image_path4` = '$uniqueImageName44',
										`image_path5` = '$uniqueImageName55' WHERE id = '$eid'");

					if ($q) {
						return ['status'=> 202, 'message'=> 'Event Updated Successfully'];
					}else{
						return ['status'=> 303, 'message'=> 'Failed Update Event'];
					}

			}else{
				return ['status'=> 303, 'message'=> 'Large Image [ Max Size allowed 1MB ]'];
			}

		}else{
			return ['status'=> 303, 'message'=> 'Invalid Image Format [ Valid Formats : jpg, jpeg, png ]'];
		}

	}

	public function editEventWithoutImage($eid,
										$event_name_s,
										$event_name_e,
										$event_name_t,
										$event_description_s,
										$event_description_e,
										$event_description_t){

		if ($eid != null) {
			$q = $this->con->query("UPDATE `event` SET 
										`event_name_s` = '$event_name_s', 
										`event_name_e` = '$event_name_e', 
										`event_name_t` = '$event_name_t', 
										`event_description_s` = '$event_description_s',
										`event_description_e` = '$event_description_e',
										`event_description_t` = '$event_description_t'
										WHERE id = '$eid'");

			if ($q) {
				return ['status'=> 202, 'message'=> 'Event updated Successfully'];
			}else{
				return ['status'=> 303, 'message'=> 'Failed to change event'];
			}
			
		}else{
			return ['status'=> 303, 'message'=> 'Invalid event id'];
		}
		
	}

	public function deleteEvent($eid = null){
		if ($eid != null) {
			$q = $this->con->query("DELETE FROM event WHERE id = '$eid'");
			if ($q) {
				return ['status'=> 202, 'message'=> 'Event Removed Successfully'];
			}else{
				return ['status'=> 202, 'message'=> 'Failed To Remove Event'];
			}
			
		}else{
			return ['status'=> 303, 'message'=>'Invalid event id'];
		}

	}

	public function deleteEventImage($eid = null,$iid = null){
		
		if(!empty($iid) && $iid==1){
			$image_path_column="image_path";
		}
		elseif(!empty($iid) && $iid==2){
			$image_path_column="image_path$iid";
		}
		elseif(!empty($iid) && $iid==3){
			$image_path_column="image_path$iid";
		}
		elseif(!empty($iid) && $iid==4){
			$image_path_column="image_path$iid";
		}
		elseif(!empty($iid) && $iid==5){
			$image_path_column="image_path$iid";
		}else{
			return ['status'=> 303, 'message'=>'Invalid product image id'];
		}

		if ($eid != null && $iid != null) {
			$q = $this->con->query("UPDATE event SET `$image_path_column` = '' WHERE id = '$eid'");
			if ($q) {
				return ['status'=> 202, 'message'=> 'Product Image Removed Successfully'];
			}else{
				return ['status'=> 303, 'message'=> 'Failed To Remove Product Image'];
			}
			
		}else{
			return ['status'=> 303, 'message'=>'Invalid product image id'];
		}

	}
	
}


if (isset($_POST['GET_EVENT'])) {
	if (isset($_SESSION['admin_id'])) {
		$p = new Events();
		echo json_encode($p->getEvents());
		exit();
	}
}


if (isset($_POST['add_event'])) {

	extract($_POST);
	if (!empty($event_name_s)
	&& !empty($event_name_e)
	&& !empty($event_name_t)
	&& !empty($_FILES['event_image1']['name'])) {
		

		$p = new Events();
		$result = $p->addEvent($event_name_s,
								$event_name_e,
								$event_name_t,
								$event_description_s,
								$event_description_e,
								$event_description_t,
								$_FILES['event_image1'],
								$_FILES['event_image2'],
								$_FILES['event_image3'],
								$_FILES['event_image4'],
								$_FILES['event_image5']);
		
		echo json_encode($result);
		exit();


	}else{
		echo json_encode(['status'=> 303, 'message'=> 'Empty fields']);
		exit();
	}



	
}


if (isset($_POST['edit_event'])) {

	extract($_POST);
	if (!empty($eid)
	&& !empty($e_event_name_s)
	&& !empty($e_event_name_e)
	&& !empty($e_event_name_t) ) {
		
		$p = new Events();


		if ((isset($_FILES['e_event_image1']['name']) && !empty($_FILES['e_event_image1']['name'])) || (isset($_FILES['e_event_image2']['name']) && !empty($_FILES['e_event_image2']['name'])) || (isset($_FILES['e_event_image3']['name']) && !empty($_FILES['e_event_image3']['name'])) || (isset($_FILES['e_event_image4']['name']) && !empty($_FILES['e_event_image4']['name'])) || (isset($_FILES['e_event_image5']['name']) && !empty($_FILES['e_event_image5']['name']))) {
			$result = $p->editEventWithImage($eid,
								$e_event_name_s,
								$e_event_name_e,
								$e_event_name_t,
								$e_event_desc_s,
								$e_event_desc_e,
								$e_event_desc_t,
								$e_eventimage1,
								$e_eventimage2,
								$e_eventimage3,
								$e_eventimage4,
								$e_eventimage5,
								$_FILES['e_event_image1'],
								$_FILES['e_event_image2'],
								$_FILES['e_event_image3'],
								$_FILES['e_event_image4'],
								$_FILES['e_event_image5']);
		}else{
			$result = $p->editEventWithoutImage($eid,
								$e_event_name_s,
								$e_event_name_e,
								$e_event_name_t,
								$e_event_desc_s,
								$e_event_desc_e,
								$e_event_desc_t);
		}

		echo json_encode($result);
		exit();


	}else{
		echo json_encode(['status'=> 303, 'message'=> 'Empty fields']);
		exit();
	}



	
}

if (isset($_POST['DELETE_EVENT'])) {
	$p = new Events();
	if (isset($_SESSION['admin_id'])) {
		if(!empty($_POST['eid'])){
			$eid = $_POST['eid'];
			echo json_encode($p->deleteEvent($eid));
			exit();
		}else{
			echo json_encode(['status'=> 303, 'message'=> 'Invalid event id']);
			exit();
		}
	}else{
		echo json_encode(['status'=> 303, 'message'=> 'Invalid Session']);
	}


}

if (isset($_POST['DELETE_EVENT_IMAGE'])) {
	$p = new Events();
	if (isset($_SESSION['admin_id'])) {
		if ($_SESSION['admin_edit']==1) {
			if(!empty($_POST['eid']) && !empty($_POST['iid'])){
				$eid = $_POST['eid'];
				$iid = $_POST['iid'];
				echo json_encode($p->deleteEventImage($eid,$iid));
				exit();
			}else{
				echo json_encode(['status'=> 303, 'message'=> 'Can not delete this product image']);
				exit();
			}
		}else{
			echo json_encode(['status'=> 303, 'message'=> 'You have no permission to edit products']);
			exit();
		}
	}else{
		echo json_encode(['status'=> 303, 'message'=> 'You Must Login']);
	}


}

?>