<!doctype html>
<html class="no-js" lang="en">
    <head>
        <title>BCC Lanka | History</title>

        <!-- Meta Area Start -->   
        <?php include('meta.php'); ?>
        <!-- Meta Area End -->
    </head>
    <body>

        <!-- Header Area Start -->   
        <?php include('header.php'); ?>
        <!-- Header Area End -->
        
        <!-- Breadcrumb Area Start -->
        <div class="breadcrumb-area">
            <div class="container">
                <div class="row">
                    <div class="col-md-12">  
                        <div class="breadcrumbs">
                            <ul>
                                <li><a href="index">Home</a></li>
                                <li class="active">History & Background</li>
                            </ul>
                        </div>  
                    </div>
                </div>
            </div>
        </div>
        <!-- Breadcrumb Area End -->

        <!-- <img src="img/slider/aboutus.jpg" class="img-fluid" alt="bcc lanka ltd" width="100%"> -->

		<!-- Blog Details Area Start -->
        <div class="blog-details-area pb-20" 
             style="padding: 10px; 
                    background-image: url('img/oldbackground.jpg');height: 100%; 
                    background-position: center;
                    background-repeat: no-repeat;
                    background-size: cover;">
            <div class="container">
                <div class="row">
                    <div class="order-xl-2 order-lg-2">

                        <h5 style="color: black !important;">History & Background</h5>
                        <br>
                        <div class="blog-details-text" style="text-align: justify;">
                            
                            <p style="color: black;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The present B C C has history that dates back to 1830’s with a long list of ownership changes. Early records show that in 1830 E Price 7 Co of UK acquired the patent right to the technique for separating coconut oil into its solid and liquid parts but were faced with irregular supply of the crude material for processing and hence, it became practical to set up extensive crushing mills in Ceylon at Hultsdorf for separating the oil from the kernel. The mills were set up in 1835 under a company set up in London called the Hultsdorf Mills Co. (Ceylon) Ltd. Through the ensuing period until World War I, the Mills changed hands several times with names such as Wilson Richie & Co. G&W Leechman, and Freudenburg until the District court of Colombo made and order in 1914 appointing a custodian of Enemy Property (Freudenburg being German was designated enemy).</p>

                            <p style="color: black;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;A powerful European syndicate operating in India at the time tendered for the purchase of the Hultsdorf Mills and in 1918 the British Ceylon Corporation was incorporated. This entity continued to function until it was vested with its wholly owned subsidiaries (British Ceylon Milling Company Ltd & Ceylon Extraction Company Ltd) in the State in 1972 under the Business Undertaking (Acquisition) Act no 35 of 1971.</p>

                            <p style="color: black;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Of the Subsidiaries, Ceylon Extraction Company Ltd ceased operations in 1976 due to lack of raw materials to sustain its production outputs (British Ceylon Milling Company Ltd was amalgamated to B C C in its incorporation). With policy changes of successive governments and administrations, the company went through a period of decline which saw the sale of one of its more lucrative businesses Orient Co. Lanka Ltd (Which had the agency for foreign liquor) and difficulties in keeping up with its burgeoning staff payroll. In 1988 B C C Lanka Limited was incorporated with the issue of 10,000,000 shares (held by the General Treasury), under the Conversation of Public Corporations and Government Owned Business Undertaking in to Public Companies Act No 23 of 1987.</p>
                        </div>
                        <img src="img/bcchistory.jpeg" class="img-fluid" alt="bcc lanka ltd" width="100%">
                    </div>
                </div>
                
                </div>
            </div>
        </div>
        <!-- Blog Details Area End -->
        <!-- Footer Start -->
        <?php include('footer.php'); ?>
        <!-- Footer End -->
        
        <script src="js/vendor/jquery-3.2.1.min.js"></script>
        <script src="js/popper.js"></script>
        <script src="js/bootstrap.min.js"></script>
        <script src="js/jquery.meanmenu.js"></script>
        <script src="js/ajax-mail.js"></script>
        <script src="js/owl.carousel.min.js"></script>
        <script src="js/jquery.countdown.min.js"></script>
        <script src="js/plugins.js"></script>
        <script src="js/main.js"></script>
    </body>
</html>
