<?php 
session_start();  
if (!isset($_SESSION['admin_id'])) {
  header("location:login");
}

include_once "./templates/top.php"; 

?>
<?php include_once("./templates/top.php"); ?>
<?php include_once("./templates/navbar.php"); ?>
<?php
if ($_SESSION["admin_edit"]!=1) {
  include("./table.php");
  }
?>
<div class="container-fluid">
  <div class="row">
    
    <?php include "./templates/sidebar.php"; ?>


      <div class="row">
      	<div class="col-10">
      		<h2>Manage Brands</h2>
      	</div>
        <?php
        if ($_SESSION['admin_edit']==1) {
        ?>
        <div class="col-2">
          <a href="#" data-toggle="modal" data-target="#add_brand_modal" class="btn btn-primary btn-sm">Add Brand</a>
        </div>
        <?php
          }
        ?>
      </div>
      
      <div class="table-responsive">
        <table class="table table-striped table-sm">
          <thead>
            <tr>
              <th>#</th>
              <th>Brand Name</th>
              <th style="width:300px; text-align:center;">Logo</th>
              <th class="NoneDisplay" style="text-align:center;">Action</th>
            </tr>
          </thead>
          <tbody id="brand_list">
            <!-- <tr>
              <td>1</td>
              <td>ABC</td>
              <td>FDGR.JPG</td>
              <td>122</td>
              <td>eLECTRONCS</td>
              <td>aPPLE</td>
              <td><a class="btn btn-sm btn-info"></a><a class="btn btn-sm btn-danger">Delete</a></td>
            </tr> -->
          </tbody>
        </table>
      </div>
    </main>
  </div>
</div>



<!-- Modal -->
<div class="modal fade" id="add_brand_modal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Add Brand</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <form id="add-brand-form" enctype="multipart/form-data">
        	<div class="row">
        		<div class="col-12">
        			<div class="form-group">
		        		<label>Brand Name<a style="color:red;">*</a></label>
		        		<input type="text" name="brand_name" class="form-control" placeholder="Enter Brand Name">
		        	</div>
        		</div>
            <div class="col-12">
              <div class="form-group">
                <label>Brand Logo<a style="color:red;">*</a>&nbsp;&nbsp;<small>( format: jpg , jpeg , png ) ( image size: under 1mb )</small></label>
                <!-- <input type="file" name="product_image" class="form-control"> -->
                <input type="file" name="brand_logo" class="">
              </div>
            </div>
            <!-- <div class="col-12">
              <div class="form-group">
                <label>Brand Logo<a style="color:red;">*</a>&nbsp;&nbsp;<small>( format: jpg , jpeg , png ) ( image size: under 1mb )</small></label>
                <div class="custom-file mb-3">
                  <input type="file" class="custom-file-input" id="customFile" name="brand_logo">
                  <label class="custom-file-label" for="customFile">Choose file</label>
                </div>
              </div>
            </div> -->
        		<input type="hidden" name="add_brand" value="1">
        		<div class="col-12">
        			<button type="button" class="btn btn-success add-brand">Add Brand</button>
              <button type="reset" class="btn btn-danger">Clear</button>
        		</div>
        	</div>
        	
        </form>
      </div>
    </div>
  </div>
</div>
<!-- Modal -->

<!-- Edit brand Modal -->
<div class="modal fade" id="edit_brand_modal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Edit Brand</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <form id="edit-brand-form" enctype="multipart/form-data">
          <div class="row"> 
            <input type="hidden" name="e_brand_id">
            <div class="col-12">
              <div class="form-group">
                <label>Brand Name<a style="color:red;">*</a></label>
                <input type="text" name="e_brand_name" class="form-control" placeholder="Enter Brand Name">
              </div>
            </div>
            <input type="hidden" name="e_image" class="form-control" placeholder="">
            <div class="col-12">
              <div class="form-group">
                <label>Brand Logo<a style="color:red;">*</a>&nbsp;&nbsp;<small>( format: jpg , jpeg , png ) ( image size: under 1mb )</small></label>
                <input type="file" name="e_brand_image" class="">
               <img src="" class="img-thumbnail" class="img-fluid" width="100" height="50">
              </div>
            </div>
            <input type="hidden" name="edit_brand" value="1">
            <div class="col-12">
              <button type="button" class="btn btn-success edit-brand-btn">Update Brand</button>
              <button type="reset" class="btn btn-danger">Clear</button>
            </div>
          </div>
        </form>
      </div>
    </div>
  </div>
</div>
<!-- Modal -->

<?php include_once("./templates/footer.php"); ?>



<script type="text/javascript" src="./js/brands.js"></script>

<!-- <script>
// Add the following code if you want the name of the file appear on select
$(".custom-file-input").on("change", function() {
  var fileName = $(this).val().split("\\").pop();
  $(this).siblings(".custom-file-label").addClass("selected").html(fileName);
});
</script> -->