<?php 
session_start();

class Sliders{

	private $con;

	function __construct()
	{
		include_once("Database.php");
		$db = new Database();
		$this->con = $db->connect();
	}

	public function getSliders(){
		$q = $this->con->query("SELECT * FROM `slider`");
		
		$sliders = [];
		if ($q->num_rows > 0) {
			while($row = $q->fetch_assoc()){
				$sliders[] = $row;
			}
			//return ['status'=> 202, 'message'=> $ar];
			$_DATA['sliders'] = $sliders;
		}

		return ['status'=> 202, 'message'=> $_DATA];
	}

	public function addSlider($slider_description1,
								$slider_description2,
								$slider_description3,
								$file1){

		
		if(!empty($file1['name'])){
			$uniqueImageName1 = time()."_".$file1['name'];
			$uniqueImageName11 = "img/slider/$uniqueImageName1";

			$fileName1 = $file1['name'];
			$fileNameAr1= explode(".", $fileName1);
			$extension1 = end($fileNameAr1);
			$ext1 = strtolower($extension1);
		}else{
			$uniqueImageName11 = "";
			$ext1 ="";
		}

		if ($ext1 == "jpg" || $ext1 == "jpeg" || $ext1 == "png" || $ext1 == "") {


			if ($file1['size'] < (5 * 1024 * 1024)) {

					move_uploaded_file($file1['tmp_name'], $_SERVER['DOCUMENT_ROOT']."/bcc/img/slider/".$uniqueImageName1);

					$q = $this->con->query("INSERT INTO `slider`(`description_1`, `description_2`, `description_3`, `image_path`) VALUES ('$slider_description1', '$slider_description2', '$slider_description3','$uniqueImageName11')");

					if ($q) {
						return ['status'=> 202, 'message'=> 'Slider Added Successfully'];
					}else{
						return ['status'=> 303, 'message'=> 'Failed to Add Slider'];
					}

			}else{
				return ['status'=> 303, 'message'=> 'Large Image [ Max Size allowed 5MB ]'];
			}

		}else{
			return ['status'=> 303, 'message'=> 'Invalid Image Format [ Valid Formats : jpg, jpeg, png ]'];
		}

	}


	public function editSliderWithImage($pid,
										$slider_description1,
										$slider_description2,
										$slider_description3,
										$image1,
										$file1){

		// check slider name changed or get from DB slider name
		if(empty($file1['name'])){
			$uniqueImageName11 = $image1;
		}else{
			$uniqueImageName1 = time()."_".$file1['name'];
			
			$uniqueImageName11 = "img/slider/$uniqueImageName1";
		}

		// get files extension
		$fileName1 = $uniqueImageName11;
		$fileNameAr1= explode(".", $fileName1);
		$extension1 = end($fileNameAr1);
		$ext1 = strtolower($extension1);

		if ($uniqueImageName11=="img/product/clear.png") {
			$uniqueImageName11='';
		}

		if ($ext1 == "jpg" || $ext1 == "jpeg" || $ext1 == "png" || $ext1 == "") {
			

			if ($file1['size'] < (1024 * 1024)) {

					move_uploaded_file($file1['tmp_name'], $_SERVER['DOCUMENT_ROOT']."/bcc/img/slider/".$uniqueImageName1);
					
					$q = $this->con->query("UPDATE `slider` SET 
										`description_1` = '$slider_description1',
										`description_2` = '$slider_description2',
										`description_3` = '$slider_description3',
										`image_path` = '$uniqueImageName11' WHERE id = '$pid'");

					if ($q) {
						return ['status'=> 202, 'message'=> 'Slider Updated Successfully'];
					}else{
						return ['status'=> 303, 'message'=> 'Failed Update Slider'];
					}

			}else{
				return ['status'=> 303, 'message'=> 'Large Image [ Max Size allowed 1MB ]'];
			}

		}else{
			return ['status'=> 303, 'message'=> 'Invalid Image Format [ Valid Formats : jpg, jpeg, png ]'];
		}

	}

	public function editSliderWithoutImage($pid,
										$slider_description1,
										$slider_description2,
										$slider_description3){

		if ($pid != null) {
			$q = $this->con->query("UPDATE `slider` SET 
										`description_1` = '$slider_description1',
										`description_2` = '$slider_description2',
										`description_3` = '$slider_description3' 
										WHERE id = '$pid'");

			if ($q) {
				return ['status'=> 202, 'message'=> 'Slider updated Successfully'];
			}else{
				return ['status'=> 303, 'message'=> 'Failed to update Slider'];
			}
			
		}else{
			return ['status'=> 303, 'message'=> 'Invalid slider id'];
		}
		
	}

	public function deleteSlider($pid = null){
		if ($pid != null) {
			$q = $this->con->query("DELETE FROM slider WHERE id = '$pid'");
			if ($q) {
				return ['status'=> 202, 'message'=> 'Slider Removed Successfully'];
			}else{
				return ['status'=> 202, 'message'=> 'Failed To Remove Slider'];
			}
			
		}else{
			return ['status'=> 303, 'message'=>'Invalid slider id'];
		}

	}

}


if (isset($_POST['GET_SLIDER'])) {
	if (isset($_SESSION['admin_id'])) {
		$p = new Sliders();
		echo json_encode($p->getSliders());
		exit();
	}
}


if (isset($_POST['add_slider'])) {

	extract($_POST);
	if (!empty($_FILES['slider_image']['name'])) {
		

		$p = new Sliders();
		$result = $p->addSlider($slider_d1,
								$slider_d2,
								$slider_d3,
								$_FILES['slider_image']);
		
		echo json_encode($result);
		exit();


	}else{
		echo json_encode(['status'=> 303, 'message'=> 'Empty fields']);
		exit();
	}



	
}


if (isset($_POST['edit_slider'])) {

	extract($_POST);
	if (!empty($pid)) {
		
		$p = new Sliders();

		if (isset($_FILES['e_slider_image']['name']) && !empty($_FILES['e_slider_image']['name'])) {
			$result = $p->editSliderWithImage($pid,
								$e_description_1,
								$e_description_2,
								$e_description_3,
								$e_image,
								$_FILES['e_slider_image']);
		}else{
			$result = $p->editSliderWithoutImage($pid,
								$e_description_1,
								$e_description_2,
								$e_description_3);
		}

		echo json_encode($result);
		exit();


	}else{
		echo json_encode(['status'=> 303, 'message'=> 'Empty fields']);
		exit();
	}



	
}

if (isset($_POST['DELETE_SLIDER'])) {
	$p = new Sliders();
	if (isset($_SESSION['admin_id'])) {
		if(!empty($_POST['pid'])){
			$pid = $_POST['pid'];
			echo json_encode($p->deleteSlider($pid));
			exit();
		}else{
			echo json_encode(['status'=> 303, 'message'=> 'Invalid product id']);
			exit();
		}
	}else{
		echo json_encode(['status'=> 303, 'message'=> 'Invalid Session']);
	}


}

?>