$(document).ready(function(){

	var eventList;

	function getEvents(){
		$.ajax({
			url : '../administrator/classes/Events',
			method : 'POST',
			data : {GET_EVENT:1},
			success : function(response){
				//console.log(response);
				var resp = $.parseJSON(response);
				if (resp.status == 202) {

					var eventHTML = '';

					eventList = resp.message.events;

					if (eventList) {
						$.each(resp.message.events, function(index, value){

							if(value.image_path1=='' || value.image_path1=='null'){
								value.image_path1='img/clear-slider.png';
							}

							if(value.image_path2=='' || value.image_path2=='null'){
								value.image_path2='img/clear-slider.png';
							}

							if(value.image_path3=='' || value.image_path3=='null'){
								value.image_path3='img/clear-slider.png';
							}

							if(value.image_path4=='' || value.image_path4=='null'){
								value.image_path4='img/clear-slider.png';
							}

							if(value.image_path5=='' || value.image_path5=='null'){
								value.image_path5='img/clear-slider.png';
							}

							eventHTML += '<tr>'+
							              '<td>'+ '' +'</td>'+
							              '<td>'+ value.event_name_e +'</td>'+
							              '<td>'+ value.event_name_s +'</td>'+
							              '<td>'+ value.event_name_t +'</td>'+
							              '<td><img width="120" height="60" src="../'+value.image_path1+'"></td>'+
							              '<td><a eid="'+value.id+'" iid="2" class="delete-image"><img width="120" height="60" src="../'+value.image_path2+'"></a></td>'+
							              '<td><a eid="'+value.id+'" iid="3" class="delete-image"><img width="120" height="60" src="../'+value.image_path3+'"></a></td>'+
							              '<td><a eid="'+value.id+'" iid="4" class="delete-image"><img width="120" height="60" src="../'+value.image_path4+'"></a></td>'+
							              '<td><a eid="'+value.id+'" iid="5" class="delete-image"><img width="120" height="60" src="../'+value.image_path5+'"></a></td>'+
							              // '<td width="300" style="text-align:justify">'+ value.event_description_e +'</td>'+
							              '<td class="NoneDisplay" width="80" style="text-align:center"><a class="btn btn-sm btn-info edit-event" style="color:#fff;"><span style="display:none;">'+JSON.stringify(value)+'</span><i class="fas fa-pencil-alt"></i></a>&nbsp;<a eid="'+value.id+'" class="btn btn-sm btn-danger delete-event" style="color:#fff;"><i class="fas fa-trash-alt"></i></a></td>'+
							            '</tr>';
							

						});

						$("#event_list").html(eventHTML);
					}

				}
			}

		});
	}

	getEvents();

	$(".add-event").on("click", function(){

		$.ajax({

			url : '../administrator/classes/Events',
			method : 'POST',
			data : new FormData($("#add-event-form")[0]),
			contentType : false,
			cache : false,
			processData : false,
			success : function(response){
				//console.log(response);
				var resp = $.parseJSON(response);
				if (resp.status == 202) {
					$("#add-event-form").trigger("reset");
					$("#add_event_modal").modal('hide');
					getEvents();
					alert(resp.message);
				}else if(resp.status == 303){
					alert(resp.message);
				}
			}

		});

	});


	$(document.body).on('click', '.edit-event', function(){

		//console.log($(this).find('span').text());

		var event = $.parseJSON($.trim($(this).find('span').text()));

		//console.log(event);

		$("input[name='e_event_name_s']").val(event.event_name_s);
		$("input[name='e_event_name_e']").val(event.event_name_e);
		$("input[name='e_event_name_t']").val(event.event_name_t);
		$("textarea[name='e_event_desc_s']").val(event.event_description_s);
		$("textarea[name='e_event_desc_e']").val(event.event_description_e);
		$("textarea[name='e_event_desc_t']").val(event.event_description_t);
		$("input[name='e_eventimage1']").val(event.image_path1);
		$("input[name='e_eventimage2']").val(event.image_path2);
		$("input[name='e_eventimage3']").val(event.image_path3);
		$("input[name='e_eventimage4']").val(event.image_path4);
		$("input[name='e_eventimage5']").val(event.image_path5);
		$("input[name='e_event_image1']").siblings("img").attr("src", "../"+event.image_path1);
		$("input[name='e_event_image2']").siblings("img").attr("src", "../"+event.image_path2);
		$("input[name='e_event_image3']").siblings("img").attr("src", "../"+event.image_path3);
		$("input[name='e_event_image4']").siblings("img").attr("src", "../"+event.image_path4);
		$("input[name='e_event_image5']").siblings("img").attr("src", "../"+event.image_path5);
		$("input[name='eid']").val(event.id);
		$("#edit_event_modal").modal('show');

	});

	$(".submit-edit-event").on('click', function(){

		$.ajax({

			url : '../administrator/classes/Events',
			method : 'POST',
			data : new FormData($("#edit-event-form")[0]),
			contentType : false,
			cache : false,
			processData : false,
			success : function(response){
				//console.log(response);
				var resp = $.parseJSON(response);
				if (resp.status == 202) {
					$("#edit-event-form").trigger("reset");
					$("#edit_event_modal").modal('hide');
					getEvents();
					alert(resp.message);
				}else if(resp.status == 303){
					alert(resp.message);
				}
			}

		});


	});

	$(document.body).on('click', '.delete-event', function(){

		var eid = $(this).attr('eid');
		if (confirm("Are you sure to delete this event ?")) {
			$.ajax({

				url : '../administrator/classes/Events',
				method : 'POST',
				data : {DELETE_EVENT: 1, eid:eid},
				success : function(response){
					//console.log(response);
					var resp = $.parseJSON(response);
					if (resp.status == 202) {
						getEvents();
						alert(resp.message);
					}else if (resp.status == 303) {
						alert(resp.message);
					}
				}

			});
		}else{
			alert('Cancelled');
		}
		

	});

	$(document.body).on('click', '.delete-image', function(){

      var eid = $(this).attr('eid');
      var iid = $(this).attr('iid');
      if (confirm("Are you sure to delete this image ?")) {
        $.ajax({

          url : '../administrator/classes/Events',
          method : 'POST',
          data : {DELETE_EVENT_IMAGE: 1, eid:eid, iid:iid},
          success : function(response){
            //console.log(response);
            var resp = $.parseJSON(response);
            if (resp.status == 202) {
              getEvents();
              alert(resp.message);
            }else if (resp.status == 303) {
              alert(resp.message);
            }
          }

        });
      }else{
        alert('Cancelled');
      }
      

    });

});